Bug 3427 - Issues with permission of file testcred.pem located in globus_test folder in C unit test Suite
: Issues with permission of file testcred.pem located in globus_test folder in ...
Status: RESOLVED FIXED
: Toolkit Internals
globus_common
: 4.0.0
: Other Linux
: P3 normal
: 4.0.2
Assigned To:
:
:
:
:
  Show dependency treegraph
 
Reported: 2005-05-30 01:27 by
Modified: 2006-04-18 10:58 (History)


Attachments
Patch for test-toolkit that sets up credentials (3.04 KB, patch)
2005-11-17 05:21, Kuba Rozkwitalski
Details
Patch against 1.5 (1.74 KB, patch)
2005-11-23 10:15, Kuba Rozkwitalski
Details
Patch against 1.5 (2.73 KB, patch)
2005-11-23 10:18, Kuba Rozkwitalski
Details
Bugfix for invoking system command (573 bytes, patch)
2005-12-12 11:14, Kuba Rozkwitalski
Details


Note

You need to log in before you can comment on or make changes to this bug.


Description From 2005-05-30 01:27:11
If we try to execute the C unit test suite (on s390-Linux)using the script
located in globus_test folder , the tests tend to pick up the testcred.pem as
credentials but the permission to this file "testcred.pem" are not properly set
and hence the following error messages get generated

globus_credential: Error reading host credential
globus_sysconfig: Error with certificate filename
globus_sysconfig: Error with certificate filename
globus_sysconfig: File has bad permissions: Permissions on
/opt/IBM/grid4/test/globus_test/testcred.pem are too permissive. Maximum
allowable permissions are 644.
------- Comment #1 From 2005-08-30 11:34:33 -------
Doesn't running testcred-setup.sh fix this problem?  It does a chmod 0600 as
the first step of the script.  
As part of 3705 we might make that part of the script, but there are existing
means to workaround this for 
now.
------- Comment #2 From 2005-08-31 07:13:55 -------
I ran testcred-setup.sh and didn't see the problem.  Can you leave this open as
an enhancement request to either set the permission up front (during install),
or add a $GLOBUS_LOCATION/tests/README to say testcred-setup.sh must be run?   

I don't know exactly how Mayank was running this, but i suspect that only a
selected TESTS.pl was being run.  In that case you probably also have to go to
the globus_test/ directory and run the testcred-setup.sh. 
------- Comment #3 From 2005-09-02 10:35:08 -------
Those suggestions make sense to me.  I'll leave this open, and it will
presumably be resolved either before 
the big test-harness enhancement bug or at the same time.
------- Comment #4 From 2005-10-05 07:00:09 -------
We (GridwiseTech) will work on it now, as well as on whole 3705 (test-harness
enhancement bug). Probably we will include credentials handling in perl to make
it more clear and robust.

I think that solution should be also tested on reporter's platform.
------- Comment #5 From 2005-11-10 04:45:54 -------
The solution is ready, and we want to incorporate it into 3705 patch for 'test-
toolkit' file.
------- Comment #6 From 2005-11-16 10:32:09 -------
Okay.  Could you attach the patch to this bug, please?
------- Comment #7 From 2005-11-17 05:21:28 -------
Created an attachment (id=752) [details]
Patch for test-toolkit that sets up credentials

This patch includes all work done previously by testcred-setup.sh and
testcred-env.sh into test-toolkit script so it is no longer necessary to run
testcred-setup.sh manually. Shell scripts can be removed from repository as
they are no longer needed I think.
------- Comment #8 From 2005-11-17 11:03:55 -------
This patch is against an old version of the script.  Could you please produce a
patch against version 1.5, 
which is current?
------- Comment #9 From 2005-11-23 10:15:13 -------
Created an attachment (id=755) [details]
Patch against 1.5

Previous patch was generated against 1.5 revision, but it was modified by our
cvs, sorry for inconvenience.
------- Comment #10 From 2005-11-23 10:18:43 -------
Created an attachment (id=756) [details]
Patch against 1.5

Same patch with -u option.
------- Comment #11 From 2005-11-29 15:46:23 -------
Committed to trunk and branch.
------- Comment #12 From 2005-12-12 11:14:51 -------
Created an attachment (id=791) [details]
Bugfix for invoking system command

There is a bug in previously submitted patch. Please find attached trivial
patch for it.